/// <reference types="react" />
import React from 'react';
import { StyledComponentClass } from 'styled-components';
import { ThemeInterface } from 'theme';
import { ContainerProps } from 'styles/media';
import { PositioningHelpers } from 'styles/positioning';
export interface DivProps extends PositioningHelpers, ContainerProps {
    textCenter?: boolean;
}
declare const Div: StyledComponentClass<DivProps, ThemeInterface, DivProps & React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>>;
export default Div;
