/// <reference types="react" />
import React from 'react';
import { StyledComponentClass } from 'wrappers/styled-components';
import { DivProps } from 'components/Div';
import { ThemeInterface } from 'theme';
export interface ModalProps {
    isOpen: boolean;
    onRequestClose: Function;
    contentLabel: string;
}
export declare type StyledModalWithProps = StyledComponentClass<void, ThemeInterface, ModalProps & DivProps & React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>>;
declare const Modal: StyledComponentClass<void, ThemeInterface, ModalProps & DivProps & React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>>;
export default Modal;
