import { InterpolationFunction, StyledComponentClass, Styles, ThemeProps } from 'styled-components';
import { ThemeInterface } from 'theme';
export declare const enum Direction {
    Up = "up",
    Down = "down",
    Left = "left",
    Right = "right",
}
export interface PrimaryColors {
    primaryBorder?: boolean;
    primaryBackground?: boolean;
}
export default function getCssArrow(direction: Direction, primaryColors: PrimaryColors): (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<ThemeProps<ThemeInterface>>)[];
