import { InterpolationFunction, StyledComponentClass, Styles, ThemeProps } from 'styled-components';
import { ThemeInterface } from 'theme';
import { MarginHelpers } from './positioning';
export interface FontStyleProps {
    fontFamily?: string;
    fontWeight?: string | number;
    color?: string;
    smallFontSize: string;
    smallLineHeight: string;
    mediumFontSize: string;
    mediumLineHeight: string;
}
export declare const textStyle: (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<ThemeProps<ThemeInterface>>)[];
export declare const fontStyle: ({ fontFamily, fontWeight, color, smallFontSize, smallLineHeight, mediumFontSize, mediumLineHeight, }: FontStyleProps) => (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<MarginHelpers & ThemeProps<ThemeInterface>>)[];
