/// <reference types="react" />
import React from 'react';
import { MarginHelpers } from 'styles/positioning';
import { ButtonStylesProps } from 'components/Button/buttonStyles';
export declare type ButtonType = 'button' | 'a' | 'span' | React.ComponentType;
export declare type ChildrenType = string | JSX.Element[] | JSX.Element;
export interface ButtonProps extends MarginHelpers, ButtonStylesProps {
    as?: ButtonType;
    children: ChildrenType;
    [propName: string]: any;
}
declare const Button: React.SFC<ButtonProps>;
export default Button;
