/// <reference types="react" />
import React from 'react';
import { ContainerProps } from 'styles/media';
import { PositioningHelpers } from 'styles/positioning';
export interface ContainerStylesProps extends ContainerProps, PositioningHelpers {
    section?: boolean;
}
export interface ContainerSfcProps extends ContainerStylesProps {
    children: JSX.Element[] | JSX.Element;
}
declare const Container: React.SFC<ContainerSfcProps>;
export default Container;
