/// <reference types="react" />
import React from 'react';
import { InputProps } from '../types';
export interface StyledNativeSelectProps {
    isPlaceholder: boolean;
}
export interface SelectComponentProps extends SelectProps {
    clearable: boolean;
}
export interface SelectProps {
    name?: string;
    error?: string;
    errorText?: string;
    placeholder?: string | boolean;
    onChange: (event: React.FormEvent<HTMLSelectElement> | InputProps) => void;
    value?: number | string;
    options?: InputProps[];
}
declare class Select extends React.Component<SelectProps, {}> {
    static displayName: string;
    handleChange: (event: any) => void;
    render(): JSX.Element;
}
export default Select;
