/// <reference types="react" />
import { StyledComponentClass } from 'wrappers/styled-components';
import { ThemeInterface } from 'theme';
export interface GroupInputProps {
    value?: [string | number][];
    selectedValue?: [string | number][] | null;
}
export declare type StyledInputGroup = StyledComponentClass<void, ThemeInterface, GroupInputProps & React.DetailedHTMLProps<React.FieldsetHTMLAttributes<HTMLFieldSetElement>, HTMLFieldSetElement>>;
export interface InputProps {
    label?: string;
    value?: string | number;
}
