/// <reference types="react" />
import React from 'react';
import * as styledComponents from 'styled-components';
import { ThemedCssFunction, StyledComponentClass } from 'styled-components';
import { ThemeInterface } from 'theme';
export declare type StyledProps<T> = styledComponents.ThemedStyledProps<T, ThemeInterface>;
declare const styled: styledComponents.ThemedBaseStyledInterface<ThemeInterface>, css: styledComponents.ThemedCssFunction<ThemeInterface>, injectGlobal: (strings: TemplateStringsArray, ...interpolations: styledComponents.SimpleInterpolation[]) => void, keyframes: (strings: TemplateStringsArray, ...interpolations: styledComponents.SimpleInterpolation[]) => string, ThemeProvider: React.ComponentClass<styledComponents.ThemeProviderProps<ThemeInterface>>;
export { css, injectGlobal, keyframes, ThemeProvider, ThemedCssFunction, StyledComponentClass };
export default styled;
